# GetSequences

Calling this method gets the current Sequence Configuration, that is active on the SceneControllerModule.

### **Method Name:**

GetSequences

### **Payload:**

The direct command does not require a payload.

```
{
}
```

### **Return value**

The direct command returns a payload containing the currently active sequences.

Below is an example:

```
{
    "status": 200,
    "payload": {
        "status": "ok",
        "response": {
            "sequences": {
                "lights": [
                    {
                        "id": "Light1",
                        "channel": 0,
                        "description": "Ring light"
                    },
                    {
                        "id": "Light2",
                        "channel": 1,
                        "description": "Low angle light 1"
                    },
                    {
                        "id": "Light3",
                        "channel": 2,
                        "description": "Low angle light 2"
                    }
                ],
                "lightSettings": [
                    {
                        "id": "Light1 off",
                        "lightId": "Light1",
                        "lightLevel": 0
                    },
                    {
                        "id": "Light2 off",
                        "lightId": "Light2",
                        "lightLevel": 0
                    },
                    {
                        "id": "Light3 off",
                        "lightId": "Light3",
                        "lightLevel": 0
                    },
                    {
                        "id": "Light1 on",
                        "lightId": "Light1",
                        "lightLevel": 255
                    },
                    {
                        "id": "Light2 on",
                        "lightId": "Light2",
                        "lightLevel": 255
                    },
                    {
                        "id": "Light3 on",
                        "lightId": "Light3",
                        "lightLevel": 255
                    }
                ],
                "scenes": [
                    {
                        "id": "Scene0",
                        "name": "Lights off",
                        "lightSettingsIds": [
                            "Light1 off",
                            "Light2 off",
                            "Light3 off"
                        ]
                    },
                    {
                        "id": "Scene1",
                        "name": "Brightfield",
                        "lightSettingsIds": [
                            "Light1 on",
                            "Light2 off",
                            "Light3 off"
                        ]
                    },
                    {
                        "id": "Scene2",
                        "name": "Darkfield 1",
                        "lightSettingsIds": [
                            "Light1 off",
                            "Light2 on",
                            "Light3 off"
                        ]
                    },
                    {
                        "id": "Scene3",
                        "name": "Darkfield 2",
                        "lightSettingsIds": [
                            "Light1 off",
                            "Light2 off",
                            "Light3 on"
                        ]
                    }
                ],
                "sequences": [
                    {
                        "id": "1",
                        "name": "Vision sequence",
                        "steps": [
                            {
                                "name": "Set Brightfield Scene",
                                "description": "Set ringlight on",
                                "order": 1,
                                "activityType": "SetScene",
                                "parameters": {
                                    "sceneId": "Scene1"
                                }
                            },
                            {
                                "name": "GetBrightfieldImage",
                                "description": "Brightfield image acquire",
                                "order": 2,
                                "activityType": "CameraAcquireToFile",
                                "parameters": {
                                    "filename": "img_bf_{Factory1.Line1.Id}.bmp",
                                    "exposureUs": "35000"
                                }
                            },
                            {
                                "name": "SetDFLight1",
                                "description": "Set darkfield light 1 on",
                                "order": 3,
                                "activityType": "SetScene",
                                "parameters": {
                                    "sceneId": "Scene2"
                                }
                            },
                            {
                                "name": "GetDarkfieldImage1",
                                "description": "Darkfield image 1",
                                "order": 4,
                                "activityType": "CameraAcquireToFile",
                                "parameters": {
                                    "filename": "img_df1_{Factory1.Line1.Id}.bmp",
                                    "exposureUs": "13000"
                                }
                            },
                            {
                                "name": "SetDFLight2",
                                "description": "Set darkfield light 2 on",
                                "order": 5,
                                "activityType": "SetScene",
                                "parameters": {
                                    "sceneId": "Scene3"
                                }
                            },
                            {
                                "name": "GetDarkfieldImage2",
                                "description": "img3",
                                "order": 6,
                                "activityType": "CameraAcquireToFile",
                                "parameters": {
                                    "filename": "img_df2_{Factory1.Line1.Id}.bmp",
                                    "exposureUs": "13000"
                                }
                            },
                            {
                                "name": "SetLightsOff",
                                "description": "Set lighting off",
                                "order": 15,
                                "activityType": "SetScene",
                                "parameters": {
                                    "sceneId": "Scene0"
                                }
                            },
                            {
                                "name": "ExecuteVision",
                                "description": "Executing vision model",
                                "order": 16,
                                "activityType": "ExecuteModel",
                                "parameters": {
                                    "modelName": "vision"
                                }
                            }
                        ],
                        "trigger": {
                            "type": "DirectCommand",
                            "parameters": ""
                        }
                    }
                ]
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tricloudnexus.io/edge/nexus-modules/data-connector-modules/scenecontrollermodule/direct-commands/getsequences.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
